Package org.codehaus.groovy.ast.stmt

# Class Statement

java.lang.Object
org.codehaus.groovy.ast.ASTNode
org.codehaus.groovy.ast.stmt.Statement

Direct Known Subclasses:
  `AssertStatement`, `BlockStatement`, `BreakStatement`, `BytecodeSequence`, `CaseStatement`, `CatchStatement`, `ContinueStatement`, `DoWhileStatement`, `EmptyStatement`, `ExpressionStatement`, `ForStatement`, `IfStatement`, `ReturnStatement`, `SwitchStatement`, `SynchronizedStatement`, `ThrowStatement`, `TryCatchStatement`, `WhileStatement`

public class Statement extends ASTNode
Base class for any statement

Author:
  James Strachan

## Constructor Summary

Constructors
Constructor
Description
`Statement()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addStatementLabel(String label)`
`String`
`getStatementLabel()`
`List<String>`
`getStatementLabels()`
`boolean`
`isEmpty()`
`void`
`setStatementLabel(String label)`

### Methods inherited from class org.codehaus.groovy.ast.ASTNode

`copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getNodeMetaData, getNodeMetaData, getText, putNodeMetaData, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition, visit`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Statement

public Statement()

## Method Details

### getStatementLabels

public List<String> getStatementLabels()

### getStatementLabel

public String getStatementLabel()

### setStatementLabel

public void setStatementLabel(String label)

### addStatementLabel

public void addStatementLabel(String label)

### isEmpty

public boolean isEmpty()